KEntryKey Struct Reference

`#include <kconfigdata.h>`

## Public Member Functions

| KEntryKey (const QCString &_group=0, const QCString &_key=0)

## Public Attributes

QCString | mGroup
QCString | mKey
bool | bLocal:1
bool | bDefault:1
const char * | c_key

## Detailed Description

key structure holding both the actual key and the the group to which it belongs.

Definition at line 69 of file kconfigdata.h.

## Member Data Documentation

bool KEntryKey::bDefault

Entry indicates if this is a default value.

Definition at line 90 of file kconfigdata.h.

bool KEntryKey::bLocal

Entry is localised or not.

Definition at line 86 of file kconfigdata.h.

QCString KEntryKey::mGroup

The "group" to which this EntryKey belongs.

Definition at line 78 of file kconfigdata.h.

QCString KEntryKey::mKey

The actual key of the entry in question.

Definition at line 82 of file kconfigdata.h.

The documentation for this struct was generated from the following file:

- kconfigdata.h

KDE Home | KDE Accessibility Home | Description of Access Keys